Returns a representation that can be converted to JSON

- « SplFixedArray::getSize

- SplFixedArray::key »

- PHP Manual
- SplFixedArray
- Returns a representation that can be converted to JSON

# SplFixedArray::jsonSerialize

(PHP 8 >= 8.1.0)

SplFixedArray::jsonSerialize — Returns a representation that can be converted to JSON

### Description

public SplFixedArray::jsonSerialize(): array

Serializes the array to a value that can be serialized natively by json_encode().

### Parameters

This function has no parameters.

### Return Values

Returns array data which can be serialized by json_encode(), which is a value of any type other than a resource.